import unittest
import glob
from src.workflow import Workflow

class TestWorkflows(unittest.TestCase):
    
        def test_wfwf6_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf6", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf6/specification_graph.json'))
        
        def test_wfwf1_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf1", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf1/specification_graph.json'))
        
        def test_wfwf18_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf18", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf18/specification_graph.json'))
        
        def test_wfwf13_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf13", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf13/specification_graph.json'))
        
        def test_wfwf8_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf8", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf8/specification_graph.json'))
        
        def test_wfwf3_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf3", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf3/specification_graph.json'))
        
        def test_wfwf2_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf2", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf2/specification_graph.json'))
        
        def test_wfwf5_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf5", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf5/specification_graph.json'))
        
        def test_wfwf16_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf16", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf16/specification_graph.json'))
        
        def test_wfwf12_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf12", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf12/specification_graph.json'))
        
        def test_wfwf10_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf10", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf10/specification_graph.json'))
        
        def test_wfwf9_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf9", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf9/specification_graph.json'))
        
        def test_wfwf7_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf7", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf7/specification_graph.json'))
        
        def test_wfwf4_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf4", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf4/specification_graph.json'))
        
        def test_wfwf15_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf15", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf15/specification_graph.json'))
        
        def test_wfwf17_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf17", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf17/specification_graph.json'))
        
        def test_wfwf14_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf14", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf14/specification_graph.json'))
        
        def test_wfwf11_simple_duplicate(self):
            w = Workflow(f"tests/ressources/workflows/wf11", display_info=False, duplicate=True)
            w.initialise()
            self.assertTrue(w.check_if_json_equal_to_full_structure('tests/ressources/workflows/wf11/specification_graph.json'))
        